Get Webhook Event Detail
curl --request GET \
--url https://api.hit-pay.com/v1/webhook-events/{webhook_event_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/webhook-events/{webhook_event_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/webhook-events/{webhook_event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9b29471a-17bf-4332-835b-a6af8e0cc430",
"business_id": "9b294222-3a53-427f-9393-95dc6d63ee6c",
"name": "Test Webhook Event",
"url": "https://google.com",
"event_types": [
"transfer.created",
"transfer.updated"
],
"created_at": "2024-01-24T16:05:10+08:00",
"updated_at": "2024-01-24T16:05:10+08:00"
}"{\n \"message\": \"No query results for model [App\\\\Business\\\\Webhook] 973ee456-d28f-4418-93c5-d37e4b311685\"\n}"Webhook Events
Get Webhook Event Details
Retrieve webhook event configuration details
GET
/
v1
/
webhook-events
/
{webhook_event_id}
Get Webhook Event Detail
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The Webhook Event id
Last modified on February 25, 2026
Was this page helpful?
⌘I